List a project's knowledge sources
Use a key with only read scopes. Your customer_id is in the reply to Get the calling API key.
GET
The project's knowledge sources (synced folders, uploads, attached tools, Google Drive) with file counts, per-file errors and last sync, plus the workspace's connected tools this project could attach. Requires coding:repos:read.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
coding_repository_id*stringFormat
uuidcustomer_id?|nullRequest fulfilled, document follows
application/json- response
attachable*array<>bytes_max?integerDefault
104857600bytes_used*integerdrive_attached*booleansources*array<>curl -X GET 'https://api.syndai.ai/api/v1/external/coding/repos/497f6eca-6276-4993-bfeb-53cbbbba6f08/knowledge'Example Response
{ "attachable": [ { "connection": "string", "custom_tool_id": "ee324563-c6f2-47e0-b512-683b3bbc5b59", "name": "string" } ], "bytes_max": 104857600, "bytes_used": 0, "drive_attached": true, "sources": [ { "bytes": 0, "connection": "string", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "custom_tool_id": "ee324563-c6f2-47e0-b512-683b3bbc5b59", "errors": [ { "error": "string", "path": "string" } ], "failed": 0, "files": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "name": "string", "pending": 0, "status": "string", "synced_at": "2019-08-24T14:15:22Z" } ]}